Package jakarta.xml.messaging

## Class URLEndpoint

- java.lang.Object
- - jakarta.xml.messaging.Endpoint
  - - jakarta.xml.messaging.URLEndpoint

-     @Deprecated
      public class URLEndpoint
      extends Endpoint

  Deprecated.
  since 6.2, will be removed without replacement
  A special case of the `Endpoint` class used for simple applications that want to communicate directly with another SOAP-based application in a point-to-point fashion instead of going through a messaging provider.

  A `URLEndpoint` object contains a URL, which is used to make connections to the remote party. A standalone client can pass a `URLEndpoint` object to the `SOAPConnection` method `call` to send a message synchronously.

- - ### Field Summary

    - ### Fields inherited from class jakarta.xml.messaging.Endpoint

      `id`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `URLEndpoint​(java.lang.String url)` | Deprecated. Constructs a new `URLEndpoint` object using the given URL.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getURL()` | Deprecated. Gets the URL associated with this `URLEndpoint` object.

    - ### Methods inherited from class jakarta.xml.messaging.Endpoint

      `toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### URLEndpoint

          public URLEndpoint​(java.lang.String url)

      Deprecated.
      Constructs a new `URLEndpoint` object using the given URL.
      Parameters:
        `url` - a `String` giving the URL to use in constructing the new `URLEndpoint` object

  - ### Method Detail

    - #### getURL

          public java.lang.String getURL()

      Deprecated.
      Gets the URL associated with this `URLEndpoint` object.
      Returns:
        a `String` giving the URL associated with this `URLEndpoint` object